> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/serviceaccountkeys/delete#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_4).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Removes and invalidates the specified credentials for the service account associated with this enterprise. The calling service account must have been retrieved by calling Enterprises.GetServiceAccount and must have been set as the enterprise service account by calling Enterprises.SetAccount.

<br />

## Request

### HTTP request

```
DELETE https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/serviceAccountKeys/keyId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `keyId` | `string` | The ID of the key. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.